﻿@*wot.dadang 21/11/2012*@

@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using Portal.Controllers;
                 
@Html.DevExpress().GridView(
    settings =>
{
    settings.Name = "grdData";
    settings.KeyFieldName = "KanbanID";
    settings.CallbackRouteValues = new { Controller = "TPPostingToICSScreen", Action = "TPPostingToICSScreenPartial" };
    settings.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
    settings.Width = Unit.Percentage(100);

    settings.SettingsPager.PageSizeItemSettings.Visible = true;
    settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
    settings.CommandColumn.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
    settings.SettingsPager.PageSizeItemSettings.Caption = "Page size";

    settings.CommandColumn.Caption = " ";
    settings.CommandColumn.Visible = true;
    settings.CommandColumn.ShowSelectCheckbox = true;

    settings.SetEditFormTemplateContent(c =>
    {
        var user = ViewData["EditableTable"] != null ? ViewData["EditableTable"] : c.DataItem;
        ViewContext.Writer.Write(
            "<div class=\"edit_form\">" +
            "<div class=\"line\">"
        );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Field Name:";
                edtSettings.AssociatedControlName = "FieldName";
            }
        )
        .Render();
        Html.DevExpress().TextBox(
            edtSettings =>
            {
                edtSettings.Name = "FieldName";
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.ShowModelErrors = true;
                edtSettings.Enabled = false;
            }
        )
        .Bind(DataBinder.Eval(user, "FieldName"))
        .Render();

        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Display Name:";
                edtSettings.AssociatedControlName = "DisplayName";
            }
        )
        .Render();
        Html.DevExpress().TextBox(
            edtSettings =>
            {
                edtSettings.Name = "DisplayName";
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.ShowModelErrors = true;
            }
        )
        .Bind(DataBinder.Eval(user, "DisplayName"))
        .Render();

        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Order Display:";
                edtSettings.AssociatedControlName = "OrderDisplay";
            }
        )
        .Render();
        Html.DevExpress().SpinEdit(
            edtSettings =>
            {
                edtSettings.Name = "OrderDisplay";
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.Properties.NumberType = SpinEditNumberType.Integer;
                edtSettings.Properties.MinValue = 1;
                edtSettings.Properties.MaxValue = 100;
                edtSettings.ShowModelErrors = true;
            }
        )
        .Bind(DataBinder.Eval(user, "OrderDisplay"))
        .Render();

        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
            }
        )
        .Render();
        Html.DevExpress().CheckBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "PK";
                        edtSettings.ControlStyle.CssClass = "checkEditor";
                        edtSettings.Text = "PK";
                        edtSettings.ShowModelErrors = true;
                    }
                )
        .Bind(DataBinder.Eval(user, "PK"))
        .Render();

        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Data Type:";
                edtSettings.AssociatedControlName = "DataType";
            }
        )
        .Render();
        Html.DevExpress().TextBox(
            edtSettings =>
            {
                edtSettings.Name = "DataType";
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.ShowModelErrors = true;
                edtSettings.Enabled = false;
            }
        )
        .Bind(DataBinder.Eval(user, "DataType"))
        .Render();
        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Criteria:";
                edtSettings.AssociatedControlName = "Criteria";
            }
        )
        .Render();
        Html.DevExpress().TextBox(
            edtSettings =>
            {
                edtSettings.Name = "Criteria";
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.ShowModelErrors = true;
            }
        )
        .Bind(DataBinder.Eval(user, "Criteria"))
        .Render();

        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
            }
        )
        .Render();
        Html.DevExpress().CheckBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "DisplayOption";
                        edtSettings.ControlStyle.CssClass = "checkEditor";
                        edtSettings.Text = "Disp Option";
                        edtSettings.ShowModelErrors = true;
                    }
                )
        .Bind(DataBinder.Eval(user, "DisplayOption"))
        .Render();


        ViewContext.Writer.Write(
                "</div>" +
                "<div class=\"line\">"
            );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Text = "Sort:";
                edtSettings.AssociatedControlName = "Sort";
            }
        )
        .Render();
        Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "Sort";
                edtSettings.Properties.Items.Add("ASC");
                edtSettings.Properties.Items.Add("DESC");
                edtSettings.ControlStyle.CssClass = "editor";
                edtSettings.Properties.TextField = "Sort";
                edtSettings.Properties.ValueField = "Sort";
                edtSettings.Properties.ValueType = typeof(string);
                edtSettings.ShowModelErrors = true;
            }
        )
        .Bind(DataBinder.Eval(user, "Sort"))
        .Render();
        ViewContext.Writer.Write(
                           "</div>" +
                           "<div class=\"line\">"
                       );
        Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
            }
        )
        .Render();
        Html.DevExpress().Button(
            btnSettings =>
            {
                btnSettings.Name = "btnUpdate";
                btnSettings.ControlStyle.CssClass = "button";
                btnSettings.Text = "Update";
                btnSettings.ClientSideEvents.Click = "function(s, e){ grdData.UpdateEdit(); }";
            }
        )
        .Render();
        Html.DevExpress().Button(
            btnSettings =>
            {
                btnSettings.Name = "btnCancel";
                btnSettings.ControlStyle.CssClass = "button";
                btnSettings.Text = "Cancel";
                btnSettings.ClientSideEvents.Click = "function(s, e){ grdData.CancelEdit(); }";
            }
        )
        .Render();
        ViewContext.Writer.Write(
            "</div></div>"
        );
    });

    settings.SettingsPager.FirstPageButton.Visible = true;
    settings.SettingsPager.LastPageButton.Visible = true;

    settings.Settings.ShowFilterRow = true;
    settings.Settings.ShowFilterRowMenu = true;
}).Bind(Model.GetModel<Portal.Models.TPPostingToICSScreen.TPPostingToICSScreenModel>().TPPostingToICSScreenDetails).GetHtml()
                        